Subject: Re: bug#63800: [elpa] elpa-admin 1d766451f8: Suggest `package-install' to install packages (bug#63800)

From: Stefan Monnier <[email-masked]>
Date: Wed, 20 Dec 2023 18:23:17 -0500

>>>> Oh yes, please (and then remind me to update the elpa.gnu.git scripts).
>>> Done.
>>> https://git.savannah.gnu.org/cgit/emacs/elpa.git/commit/?h=elpa-admin&id=0dad7872831e49e5338d888ebffe525cf7f04e13
>>
>> OK,, thanks.  elpa.gnu.org is now updated, so HTML pages should start
>> using the new wording (but only for those packages that get a new
>> tarball).
>
> I can see it working now, but it looks like Org mode ELPA definition is
> not setting :core. However, it is not clear if it should.
>
> AFAIU, with :core, the build happens from Emacs git repo, which works
> for packages developed in Emacs repo, but not for packages that are only
> _distributed_ with Emacs.
>
> I am wondering if we should introduce a special keyword for such packages.

AFAIK "such packages" is a singleton set :-)

We could fix that, but it doesn't seem urgent.
After all, I see at http://elpa.gnu.org/packages/org.html that we say:

    To install this package from Emacs, use package-install or
    list-packages.
    
    Full description
    
    [...]
    
    1. Install Org
    
    [...]
    
    To install a more recent version, please do it from GNU ELPA by
    running this command: M-x package-install RET org RET
    
    [...]

so even Org's own doc hasn't been fixed yet :-)

        Stefan